@echo off

cd setup
SET choice=a

IF EXIST OS64B.tmp GOTO filedone
IF EXIST OSN64B.tmp GOTO filedone

systeminfo | find /n "OS " > temp.tmp
type temp.tmp | find "[3]" > temp2.tmp
set yes=1
for /F %%a in ('type temp2.tmp ^| find /c "64"') do set Isx64=%%a
IF %Isx64%==%yes% echo "The OS is 64 bits" > OS64B.tmp
IF NOT %Isx64%==%yes% echo "The OS is not 64 bits" > OSN64B.tmp
del temp.tmp
del temp2.tmp
:filedone

IF EXIST OS64B.tmp set ICE_SUFFIX=40
IF EXIST OSN64B.tmp set ICE_SUFFIX=01

hpzscr01.exe -nocopytotemp -datfile hphscr10.dat -onestop

exit
